jwt:
 secret:
  access: LejjnLZua6SlR7eZXByD2+9M5P+dYxK3IlfA6XgPksuXijiXMAcpulI03o2Vq+PjYENhgTJGXLNm7YS4f1+IMw==
  refresh: cRO8f7Q/HaE/X1QjxAHYL8Dm5qkTI68WiNi9elE1NFqsL2up0RlZn/e7aD2R5i8cMvCksBEDhUAOZAhsypQaXw==
server:
 port: 9000
 error:
  path: /error

 h2:
  console:
   enabled: true
   settings:
    trace: false

#logging:
# level:
#  org: info
#  com: off

spring:
 #  autoconfigure:
 #    exclude:
 security:
  user:
   name: user
   password: pass

 main:
  allow-circular-references: true
  allow-bean-definition-overriding: true
---

spring:
 profiles:
  active: local


---
spring:
 sql:
  init:
   mode: always
   data-locations: classpath:data-h2.sql
   schema-locations: classpath:schema-h2.sql
 datasource:
  url: jdbc:h2:mem:testdb
  username: sa
  password:
  driver-class-name: org.h2.Driver
 jpa:
  defer-datasource-initialization: true
  hibernate:
   id:
    new_generator_mappings: true
   ddl-auto: none
 config:
  activate:
   on-profile: local

---
spring:
 sql:
  init:
   mode: always #always
   schema-locations: classpath:schema-postgres.sql
   data-locations: classpath:data-postgres.sql
 datasource:
  url: jdbc:postgresql://snuffleupagus.db.elephantsql.com:5432/fzfxxhng
  username: fzfxxhng
  password: r2kMXKOg9XSVFuv71GaXVo1X7Gae0WjX
 jpa:
  defer-datasource-initialization: true
  hibernate:
   ddl-auto: none
  properties:
   hibernate:
    generate_statistics: false
  show-sql: false
 config:
  activate:
   on-profile: prod
